OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.GPUShader4

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTGPUShader4 :: MonadIO m => m Bool
- gl_EXT_gpu_shader4 :: Bool
- gl_INT_SAMPLER_1D_ARRAY_EXT :: GLenum
- gl_INT_SAMPLER_1D_EXT :: GLenum
- gl_INT_SAMPLER_2D_ARRAY_EXT :: GLenum
- gl_INT_SAMPLER_2D_EXT :: GLenum
- gl_INT_SAMPLER_2D_RECT_EXT :: GLenum
- gl_INT_SAMPLER_3D_EXT :: GLenum
- gl_INT_SAMPLER_BUFFER_EXT :: GLenum
- gl_INT_SAMPLER_CUBE_EXT :: GLenum
- gl_MAX_PROGRAM_TEXEL_OFFSET_EXT :: GLenum
- gl_MIN_PROGRAM_TEXEL_OFFSET_EXT :: GLenum
- gl_SAMPLER_1D_ARRAY_EXT :: GLenum
- gl_SAMPLER_1D_ARRAY_SHADOW_EXT :: GLenum
- gl_SAMPLER_2D_ARRAY_EXT :: GLenum
- gl_SAMPLER_2D_ARRAY_SHADOW_EXT :: GLenum
- gl_SAMPLER_BUFFER_EXT :: GLenum
- gl_SAMPLER_CUBE_SHADOW_EXT :: GLenum
- gl_UNSIGNED_INT_SAMPLER_1D_ARRAY_EXT :: GLenum
- gl_UNSIGNED_INT_SAMPLER_1D_EXT :: GLenum
- gl_UNSIGNED_INT_SAMPLER_2D_ARRAY_EXT :: GLenum
- gl_UNSIGNED_INT_SAMPLER_2D_EXT :: GLenum
- gl_UNSIGNED_INT_SAMPLER_2D_RECT_EXT :: GLenum
- gl_UNSIGNED_INT_SAMPLER_3D_EXT :: GLenum
- gl_UNSIGNED_INT_SAMPLER_BUFFER_EXT :: GLenum
- gl_UNSIGNED_INT_SAMPLER_CUBE_EXT :: GLenum
- gl_UNSIGNED_INT_VEC2_EXT :: GLenum
- gl_UNSIGNED_INT_VEC3_EXT :: GLenum
- gl_UNSIGNED_INT_VEC4_EXT :: GLenum
- gl_VERTEX_ATTRIB_ARRAY_INTEGER_EXT :: GLenum
- glBindFragDataLocationEXT :: MonadIO m => GLuint -> GLuint -> Ptr GLchar -> m ()
- glGetFragDataLocationEXT :: MonadIO m => GLuint -> Ptr GLchar -> m GLint
- glGetUniformuivEXT :: MonadIO m => GLuint -> GLint -> Ptr GLuint -> m ()
- glUniform1uiEXT :: MonadIO m => GLint -> GLuint -> m ()
- glUniform1uivEXT :: MonadIO m => GLint -> GLsizei -> Ptr GLuint -> m ()
- glUniform2uiEXT :: MonadIO m => GLint -> GLuint -> GLuint -> m ()
- glUniform2uivEXT :: MonadIO m => GLint -> GLsizei -> Ptr GLuint -> m ()
- glUniform3uiEXT :: MonadIO m => GLint -> GLuint -> GLuint -> GLuint -> m ()
- glUniform3uivEXT :: MonadIO m => GLint -> GLsizei -> Ptr GLuint -> m ()
- glUniform4uiEXT :: MonadIO m => GLint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glUniform4uivEXT :: MonadIO m => GLint -> GLsizei -> Ptr GLuint -> m ()

# Extension Support

glGetEXTGPUShader4 :: MonadIO m => m Bool

Is the EXT_gpu_shader4 extension supported?

gl_EXT_gpu_shader4 :: Bool

Is the EXT_gpu_shader4 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTGPUShader4` in those cases instead.

# Enums

gl_INT_SAMPLER_1D_ARRAY_EXT :: GLenum

gl_INT_SAMPLER_1D_EXT :: GLenum

gl_INT_SAMPLER_2D_ARRAY_EXT :: GLenum

gl_INT_SAMPLER_2D_EXT :: GLenum

gl_INT_SAMPLER_2D_RECT_EXT :: GLenum

gl_INT_SAMPLER_3D_EXT :: GLenum

gl_INT_SAMPLER_BUFFER_EXT :: GLenum

gl_INT_SAMPLER_CUBE_EXT :: GLenum

gl_MAX_PROGRAM_TEXEL_OFFSET_EXT :: GLenum

gl_MIN_PROGRAM_TEXEL_OFFSET_EXT :: GLenum

gl_SAMPLER_1D_ARRAY_EXT :: GLenum

gl_SAMPLER_1D_ARRAY_SHADOW_EXT :: GLenum

gl_SAMPLER_2D_ARRAY_EXT :: GLenum

gl_SAMPLER_2D_ARRAY_SHADOW_EXT :: GLenum

gl_SAMPLER_BUFFER_EXT :: GLenum

gl_SAMPLER_CUBE_SHADOW_EXT :: GLenum

gl_UNSIGNED_INT_SAMPLER_1D_ARRAY_EXT :: GLenum

gl_UNSIGNED_INT_SAMPLER_1D_EXT :: GLenum

gl_UNSIGNED_INT_SAMPLER_2D_ARRAY_EXT :: GLenum

gl_UNSIGNED_INT_SAMPLER_2D_EXT :: GLenum

gl_UNSIGNED_INT_SAMPLER_2D_RECT_EXT :: GLenum

gl_UNSIGNED_INT_SAMPLER_3D_EXT :: GLenum

gl_UNSIGNED_INT_SAMPLER_BUFFER_EXT :: GLenum

gl_UNSIGNED_INT_SAMPLER_CUBE_EXT :: GLenum

gl_UNSIGNED_INT_VEC2_EXT :: GLenum

gl_UNSIGNED_INT_VEC3_EXT :: GLenum

gl_UNSIGNED_INT_VEC4_EXT :: GLenum

gl_VERTEX_ATTRIB_ARRAY_INTEGER_EXT :: GLenum

# Functions

glBindFragDataLocationEXT

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `color`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m () |

This command is an alias for `glBindFragDataLocation`.

glGetFragDataLocationEXT

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m GLint |

This command is an alias for `glGetFragDataLocation`.

glGetUniformuivEXT

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLuint | `params` pointing to `COMPSIZE(program,location)` elements of type `GLuint`.
-> m () |

This command is an alias for `glGetUniformuiv`.

glUniform1uiEXT

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint | `v0`.
-> m () |

This command is an alias for `glUniform1ui`.

glUniform1uivEXT

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*1` elements of type `GLuint`.
-> m () |

This command is an alias for `glUniform1uiv`.

glUniform2uiEXT

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> m () |

This command is an alias for `glUniform2ui`.

glUniform2uivEXT

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*2` elements of type `GLuint`.
-> m () |

This command is an alias for `glUniform2uiv`.

glUniform3uiEXT

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> GLuint | `v2`.
-> m () |

This command is an alias for `glUniform3ui`.

glUniform3uivEXT

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*3` elements of type `GLuint`.
-> m () |

This command is an alias for `glUniform3uiv`.

glUniform4uiEXT

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> GLuint | `v2`.
-> GLuint | `v3`.
-> m () |

This command is an alias for `glUniform4ui`.

glUniform4uivEXT

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*4` elements of type `GLuint`.
-> m () |

This command is an alias for `glUniform4uiv`.